> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# calls 삭제



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /calls/delete
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /calls/delete:
    post:
      tags:
        - Calls
      summary: calls 삭제
      operationId: calls_delete_calls_delete_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CallsDeleteReq'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallsDeleteRes'
          description: 성공적인 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    CallsDeleteReq:
      additionalProperties: false
      properties:
        call_ids:
          items:
            type: string
          title: Call Ids
          type: array
        project_id:
          title: Project Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 직접 설정하지 마세요. 서버가 이 필드를 자동으로 채웁니다.
          title: Wb User Id
      required:
        - project_id
        - call_ids
      title: CallsDeleteReq
      type: object
    CallsDeleteRes:
      properties:
        num_deleted:
          description: 삭제된 call 수
          title: Num Deleted
          type: integer
      required:
        - num_deleted
      title: CallsDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````